/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * 资产转移 
 */
var AssetChangeResource = {

	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 选择待转移资产确定转移 
	 */
	saveAssetChange : function(assetChangeDto){
		var requestUrl = "AssetChangeResource/saveAssetChange";


		return new Promise(function(resolve, reject) {
			$.ajax({
				url: Common.getApiURL(requestUrl),
				type: "post",
				contentType: "application/json",
				
				dataType: "json",
				data: JSON.stringify(assetChangeDto),
				
				beforeSend: function(request) {
					Common.addTokenToRequest(request);
				},
				success: function(data) {
					resolve(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	},

	/**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 保存项目变动单 
	 */
	saveProjectItemChange : function(assetProjectItemChangeDtoList){
		var requestUrl = "AssetChangeResource/saveProjectItemChange";


		return new Promise(function(resolve, reject) {
			$.ajax({
				url: Common.getApiURL(requestUrl),
				type: "post",
				contentType: "application/json",
				
				dataType: "json",
				data: JSON.stringify(assetProjectItemChangeDtoList),
				
				beforeSend: function(request) {
					Common.addTokenToRequest(request);
				},
				success: function(data) {
					resolve(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					reject(XMLHttpRequest);
				}
			});
		});
	}
}
